Built LMS Help Center
API Reference and PlaygroundEnrollments and ProgressCourse Enrollments

DELETE Withdraw enrollment

Withdraw (soft delete) an enrollment with audit trail. Sets status to 'withdrawn' rather than hard deleting the record.

DELETE
/course-enrollments/{id}

Withdraw (soft delete) an enrollment with audit trail. Sets status to 'withdrawn' rather than hard deleting the record.

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

id*string

Unique identifier of the enrollment

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/course-enrollments/{id}"
{  "data": {    "success": true,    "enrollment_id": "{enrollment_id}"  },  "meta": {    "deleted": true,    "organization_id": "{organization_id}",    "rls_validated": true,    "note": "string"  }}